Subject: bug#13124: 24.1; shell-mode does not hide sudo password prompts

From: Arne Babenhauserheide <[email-masked]>
Date: Tue, 11 Dec 2012 01:12:35 +0100

Am Montag, 10. Dezember 2012, 12:00:59 schrieb Glenn Morris:
> Arne Babenhauserheide wrote:
> > Mine looks like this:
> > 
> > arne@fluss /mnt/eis/backups $ sudo test
> > Passwort: test
> 
> I'm afraid Emacs does not not understand the word "password" in every
> language out-of-the-box, so you'll have to add an entry to
> comint-password-prompt-regexp that matches "Passwort". Eg

Ah, ok.

Would it be possible to add the values for all languages, depending on the 
LC_ALL or LANG-environment variable?

The sudo source should already provide that… 
…
It uses either the prompt from its own po-files¹, or if that is not defined 
the default PAM prompt².

¹: http://www.sudo.ws/repos/sudo/file/89153025a2ae/plugins/sudoers/po
²: https://fedorahosted.org/linux-pam/browser/po

In short:

PAM-delivered: 

pt_BR "Senha:"
zu "Iphasiwedi: "
km "ពាក្យសម្ងាត់ ៖ "
ar "كلمة السر: "
da "Adgangskode: "
he "ססמה: "
ms ""
nl "Wachtwoord: "
hu "Jelszó: "
gu "પાસવર્ડ: "
fr "Mot de passe : "
bn_IN "পাসওয়ার্ড: "
ko "암호:"
or "ପ୍ରବେଶ ସଙ୍କେତ: "
es "Contraseña: "
ml "അടയാളവാക്ക്: "
sv "Lösenord: "
ja "パスワード:"
kn "ಗುಪ್ತಪದ: "
de "Passwort: "
kk "Пароль:"
tr "Parola: "
pl "Hasło: "
sr@latin "Lozinka: "
te "సంకేతపదము: "
sk "Heslo: "
ta "கடவுச்சொல்:"
uk "Пароль: "
zh_TW "密碼："
vi "Mật khẩu : "
ru "Пароль: "
mr "गुप्तशब्द: "
pa "ਪਾਸਵਰਡ: "
pt "Senha: "
cs "Heslo: "
hi "शब्दकूट: "
sr "Лозинка: "
si "රහස්පදය: "
fi "Salasana: "
ca "Contrasenya: "
as "গুপ্তশব্দ:"
nb "Passord: "
zh_CN "密码："

from sudo itself:

da "Adgangskode: "
da "Adgangskode:"
eu "Pasahitza: "
eu "Pasahitza:"
sv "Lösenord: "
sv "Lösenord:"
ja "パスワード: "
ja "パスワード:"
pl "Hasło: "
pl "Hasło:"
eo "Pasvorto: "
eo "Pasvorto:"
uk "Пароль: "
uk "Пароль:"
vi "Mật khẩu: "
vi "Mật khẩu:"
lt "Slaptažodis: "
lt "Slaptažodis:"
hr "Lozinka: "
hr "Lozinka:"
sl "Geslo: "
sl "Geslo:"
fi "Salasana: "
fi "Salasana:"
zh_CN "密码："
zh_CN "密码："

(in the source dir containing the po-dir, do `grep "Password:" . -R -A1 | sed 
s/.*Password.*// | grep po-msgst | sed "s/\.\/po\///" | sed "s/\.po-
msgstr//"`)

These are the ones which should be accepted, depending on the locale.

(I provided the command because I do not know if the unicode will survive)

Could you include these?

Best wishes,
Arne
--
singing a part of the history of free software: 

- http://infinite-hands.draketo.de